Skip to main content
GET
Get Browser Session

Authorizations

X-Browser-Use-API-Key
string
header
required

Path Parameters

session_id
string<uuid>
required

Response

Successful Response

View model for representing a browser session.

id
string<uuid>
required

Unique identifier for the session

status
enum<string>
required

Current status of the session (active/stopped)

Available options:
active,
stopped
timeoutAt
string<date-time>
required

Timestamp when the session will timeout

startedAt
string<date-time>
required

Timestamp when the session was created and started

liveUrl
string | null

URL where the browser can be viewed live in real-time

cdpUrl
string | null

Chrome DevTools Protocol URL for browser automation

finishedAt
string<date-time> | null

Timestamp when the session was stopped (None if still active)

proxyUsedMb
string
default:0

Amount of proxy data used in MB

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
proxyCost
string
default:0

Cost of proxy usage in USD

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
browserCost
string
default:0

Cost of browser session hosting in USD

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
agentSessionId
string<uuid> | null

ID of the agent session that created this browser (None for standalone BaaS sessions)

recordingUrl
string | null

Presigned URL to download the session recording (available after session ends, if recording was enabled)